(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     68831,       1525]
NotebookOptionsPosition[     68366,       1506]
NotebookOutlinePosition[     68806,       1523]
CellTagsIndexPosition[     68763,       1520]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Animate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"OA", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}], ",", "1", ",", "1"}], "}"}]}], ";", 
    RowBox[{"OB", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}]}], ";", 
    RowBox[{"OC", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1", ",", "1", ",", "1"}], "}"}]}], ";", 
    RowBox[{"OD", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", "1", ",", "1"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"OE", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ";", 
    RowBox[{"OF", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ";", 
    RowBox[{"OG", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ";", 
    RowBox[{"OH", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Oa", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}], ",", "1", ",", "3"}], "}"}]}], ";", 
    RowBox[{"Ob", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1", ",", "3"}], "}"}]}], ";", 
    RowBox[{"Oc", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1", ",", "1", ",", "3"}], "}"}]}], ";", 
    RowBox[{"Od", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", "1", ",", "3"}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Oe", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", "3"}], "}"}]}], ";", 
    RowBox[{"Of", "=", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", 
       RowBox[{"-", "1"}], ",", "3"}], "}"}]}], ";", 
    RowBox[{"Og", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1", ",", 
       RowBox[{"-", "1"}], ",", "3"}], "}"}]}], ";", 
    RowBox[{"Oh", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", "3"}], "}"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"OJ", "=", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "3"}], ",", "1"}], "}"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
     "point", " ", "for", " ", "rotation", " ", "of", " ", "abcdefgh"}], 
     "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"EEE", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Table", "[", 
       RowBox[{"OE", ",", 
        RowBox[{"{", "8", "}"}]}], "]"}], "]"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
     "matrices", " ", "for", " ", "translation", " ", "of", " ", "origin"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"CCC", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Table", "[", 
       RowBox[{"OC", ",", 
        RowBox[{"{", "8", "}"}]}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"JJJ", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Table", "[", 
       RowBox[{"OJ", ",", 
        RowBox[{"{", "8", "}"}]}], "]"}], "]"}]}], ";", "\[IndentingNewLine]",
     "\[IndentingNewLine]", 
    RowBox[{"step", ":=", 
     RowBox[{
      RowBox[{"Floor", "[", 
       RowBox[{"t", "/", 
        RowBox[{"(", 
         RowBox[{"Pi", "/", "2"}], ")"}]}], "]"}], "+", "1"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"u", ":=", 
     RowBox[{"t", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"step", "-", "1"}], ")"}], "*", 
       RowBox[{"Pi", "/", "2"}]}]}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"angle", " ", "within", " ", "each", " ", "step"}], "*)"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"rotation", " ", "around", " ", "plane"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"Rxy", ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"Cos", "[", "s", "]"}], ",", 
         RowBox[{"-", 
          RowBox[{"Sin", "[", "s", "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"Sin", "[", "s", "]"}], ",", 
         RowBox[{"Cos", "[", "s", "]"}]}], "}"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Ryz", ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", "s", "]"}], ",", "0", ",", "0", ",", 
         RowBox[{"-", 
          RowBox[{"Sin", "[", "s", "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sin", "[", "s", "]"}], ",", "0", ",", "0", ",", 
         RowBox[{"Cos", "[", "s", "]"}]}], "}"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Rzx", ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"Cos", "[", "s", "]"}], ",", "0", ",", 
         RowBox[{"-", 
          RowBox[{"Sin", "[", "s", "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"Sin", "[", "s", "]"}], ",", "0", ",", 
         RowBox[{"Cos", "[", "s", "]"}]}], "}"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"definition", " ", "of", " ", "polyhedron"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"polyhedron", "[", "vecs_", "]"}], ":=", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"vecs", "[", 
             RowBox[{"[", 
              RowBox[{"1", "+", 
               RowBox[{"4", " ", "k"}]}], "]"}], "]"}], ",", 
            RowBox[{"vecs", "[", 
             RowBox[{"[", 
              RowBox[{"2", "+", 
               RowBox[{"4", " ", "k"}]}], "]"}], "]"}], ",", 
            RowBox[{"vecs", "[", 
             RowBox[{"[", 
              RowBox[{"3", "+", 
               RowBox[{"4", " ", "k"}]}], "]"}], "]"}], ",", 
            RowBox[{"vecs", "[", 
             RowBox[{"[", 
              RowBox[{"4", "+", 
               RowBox[{"4", " ", "k"}]}], "]"}], "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"vecs", "[", 
             RowBox[{"[", 
              RowBox[{"1", "+", "k"}], "]"}], "]"}], ",", 
            RowBox[{"vecs", "[", 
             RowBox[{"[", 
              RowBox[{"2", "+", "k"}], "]"}], "]"}], ",", 
            RowBox[{"vecs", "[", 
             RowBox[{"[", 
              RowBox[{"6", "+", "k"}], "]"}], "]"}], ",", 
            RowBox[{"vecs", "[", 
             RowBox[{"[", 
              RowBox[{"5", "+", "k"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", "2"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"vecs", "[", 
           RowBox[{"[", "4", "]"}], "]"}], ",", 
          RowBox[{"vecs", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{"vecs", "[", 
           RowBox[{"[", "5", "]"}], "]"}], ",", 
          RowBox[{"vecs", "[", 
           RowBox[{"[", "8", "]"}], "]"}]}], "}"}], "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"definition", " ", "of", " ", "projection"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"MAY", " ", "NEED", " ", "TO", " ", 
      RowBox[{"CHANGE", " ", "'"}], 
      RowBox[{"zrange", "'"}], " ", "WHEN", " ", "ANOTHER", " ", "STYLE", " ",
       "IS", " ", "ADDED"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"proj", "[", "x_", "]"}], ":=", 
     RowBox[{"Switch", "[", "\[IndentingNewLine]", 
      RowBox[{"mode", ",", "\[IndentingNewLine]", "1", ",", 
       RowBox[{"x", "[", 
        RowBox[{"[", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", "2", ",", 
       RowBox[{"x", "[", 
        RowBox[{"[", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "4"}], "}"}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", "3", ",", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"x", "[", 
          RowBox[{"[", "4", "]"}], "]"}]}], 
        RowBox[{"x", "[", 
         RowBox[{"[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"zrange", ":=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"mode", "==", "2"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"1.0", "+", 
          RowBox[{"2", 
           RowBox[{"Sqrt", "[", "2", "]"}]}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", "ABCDEFGH", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ABCDEFGH", ":=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
       "OA", ",", "OB", ",", "OC", ",", "OD", ",", "OE", ",", "OF", ",", "OG",
         ",", "OH"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vecsABCDEFGH", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "ABCDEFGH", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "8"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyABCDEFGH", ":=", 
     RowBox[{"polyhedron", "[", "vecsABCDEFGH", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "ABFEabfe", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ABFEabfe0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
       "OA", ",", "OB", ",", "OF", ",", "OE", ",", "Oa", ",", "Ob", ",", "Of",
         ",", "Oe"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"ABFEabfe1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Ryz", "/.", 
         RowBox[{"s", "\[Rule]", 
          RowBox[{"N", "[", 
           RowBox[{
            RowBox[{"-", "Pi"}], "/", "2"}], "]"}]}]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"ABFEabfe0", "-", "EEE"}], ")"}]}], "+", "EEE"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ABFEabfe", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "==", "1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Ryz", "/.", 
           RowBox[{"s", "\[Rule]", 
            RowBox[{"-", "u"}]}]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"ABFEabfe0", "-", "EEE"}], ")"}]}], "+", "EEE"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "2"}], ",", "ABFEabfe1"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsABFEabfe", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "ABFEabfe", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "8"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyABFEabfe", ":=", 
     RowBox[{"polyhedron", "[", "vecsABFEabfe", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "AEHDaehd", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"AEHDaehd0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
       "OA", ",", "OE", ",", "OH", ",", "OD", ",", "Oa", ",", "Oe", ",", "Oh",
         ",", "Od"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"AEHDaehd1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Rzx", "/.", 
         RowBox[{"s", "\[Rule]", 
          RowBox[{"N", "[", 
           RowBox[{"Pi", "/", "2"}], "]"}]}]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"AEHDaehd0", "-", "EEE"}], ")"}]}], "+", "EEE"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"AEHDaehd", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "5"}], ",", "AEHDaehd0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "6"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Rzx", "/.", 
           RowBox[{"s", "\[Rule]", "u"}]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"AEHDaehd0", "-", "EEE"}], ")"}]}], "+", "EEE"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "7"}], ",", "AEHDaehd1"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsAEHDaehd", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "AEHDaehd", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "8"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyAEHDaehd", ":=", 
     RowBox[{"polyhedron", "[", "vecsAEHDaehd", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "abcdefgh", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"abcdefgh0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
       "Oa", ",", "Ob", ",", "Oc", ",", "Od", ",", "Oe", ",", "Of", ",", "Og",
         ",", "Oh"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"abcdefgh1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Ryz", "/.", 
         RowBox[{"s", "\[Rule]", 
          RowBox[{"N", "[", 
           RowBox[{
            RowBox[{"-", "Pi"}], "/", "2"}], "]"}]}]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"abcdefgh0", "-", "EEE"}], ")"}]}], "+", "EEE"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"abcdefgh2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Ryz", "/.", 
         RowBox[{"s", "\[Rule]", 
          RowBox[{
           RowBox[{"-", "Pi"}], "/", "2"}]}]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"abcdefgh1", "-", "JJJ"}], ")"}]}], "+", "JJJ"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"abcdefgh", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "==", "1"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Ryz", "/.", 
           RowBox[{"s", "\[Rule]", 
            RowBox[{"-", "u"}]}]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"abcdefgh0", "-", "EEE"}], ")"}]}], "+", "EEE"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "2"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Ryz", "/.", 
           RowBox[{"s", "\[Rule]", 
            RowBox[{"-", "u"}]}]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"abcdefgh1", "-", "JJJ"}], ")"}]}], "+", "JJJ"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "3"}], ",", "abcdefgh2"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsabcdefgh", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "abcdefgh", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "8"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyabcdefgh", ":=", 
     RowBox[{"polyhedron", "[", "vecsabcdefgh", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "EFGHefgh", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"EFGHefgh0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
       "OE", ",", "OF", ",", "OG", ",", "OH", ",", "Oe", ",", "Of", ",", "Og",
         ",", "Oh"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"EFGHefgh1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Rxy", "/.", 
         RowBox[{"s", "\[Rule]", 
          RowBox[{"N", "[", 
           RowBox[{"Pi", "/", "2"}], "]"}]}]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"EFGHefgh0", "-", "EEE"}], ")"}]}], "+", "EEE"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"EFGHefgh", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "6"}], ",", "EFGHefgh0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "7"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Rxy", "/.", 
           RowBox[{"s", "\[Rule]", "u"}]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"EFGHefgh0", "-", "EEE"}], ")"}]}], "+", "EEE"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "8"}], ",", "EFGHefgh1"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsEFGHefgh", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "EFGHefgh", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "8"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyEFGHefgh", ":=", 
     RowBox[{"polyhedron", "[", "vecsEFGHefgh", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "ABCDabcd", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"ABCDabcd0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
       "OA", ",", "OB", ",", "OC", ",", "OD", ",", "Oa", ",", "Ob", ",", "Oc",
         ",", "Od"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"ABCDabcd1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Rxy", "/.", 
         RowBox[{"s", "\[Rule]", 
          RowBox[{"-", 
           RowBox[{"N", "[", 
            RowBox[{"Pi", "/", "2"}], "]"}]}]}]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"ABCDabcd0", "-", "CCC"}], ")"}]}], "+", "CCC"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ABCDabcd", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "4"}], ",", "ABCDabcd0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "5"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Rxy", "/.", 
           RowBox[{"s", "\[Rule]", 
            RowBox[{"-", "u"}]}]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"ABCDabcd0", "-", "CCC"}], ")"}]}], "+", "CCC"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "6"}], ",", "ABCDabcd1"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsABCDabcd", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "ABCDabcd", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "8"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyABCDabcd", ":=", 
     RowBox[{"polyhedron", "[", "vecsABCDabcd", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "BCGFbcgf", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"BCGFbcgf0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
       "OB", ",", "OC", ",", "OG", ",", "OF", ",", "Ob", ",", "Oc", ",", "Og",
         ",", "Of"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"BCGFbcgf1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Ryz", "/.", 
         RowBox[{"s", "\[Rule]", 
          RowBox[{"N", "[", 
           RowBox[{"Pi", "/", "2"}], "]"}]}]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"BCGFbcgf0", "-", "CCC"}], ")"}]}], "+", "CCC"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"BCGFbcgf2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Rzx", "/.", 
         RowBox[{"s", "\[Rule]", 
          RowBox[{
           RowBox[{"-", "Pi"}], "/", "2"}]}]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"BCGFbcgf1", "-", "CCC"}], ")"}]}], "+", "CCC"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"BCGFbcgf", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "2"}], ",", "BCGFbcgf0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "3"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Ryz", "/.", 
           RowBox[{"s", "\[Rule]", "u"}]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"BCGFbcgf0", "-", "CCC"}], ")"}]}], "+", "CCC"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "4"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Rzx", "/.", 
           RowBox[{"s", "\[Rule]", 
            RowBox[{"-", "u"}]}]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"BCGFbcgf1", "-", "CCC"}], ")"}]}], "+", "CCC"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "5"}], ",", "BCGFbcgf2"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsBCGFbcgf", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "BCGFbcgf", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "8"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyBCGFbcgf", ":=", 
     RowBox[{"polyhedron", "[", "vecsBCGFbcgf", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "CDHGcdhg", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"CDHGcdhg0", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
       "OC", ",", "OD", ",", "OH", ",", "OG", ",", "Oc", ",", "Od", ",", "Oh",
         ",", "Og"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"CDHGcdhg1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Ryz", "/.", 
         RowBox[{"s", "\[Rule]", 
          RowBox[{"N", "[", 
           RowBox[{"Pi", "/", "2"}], "]"}]}]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"CDHGcdhg0", "-", "CCC"}], ")"}]}], "+", "CCC"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"CDHGcdhg", ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"step", "\[LessEqual]", "2"}], ",", "CDHGcdhg0", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[Equal]", "3"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Ryz", "/.", 
           RowBox[{"s", "\[Rule]", "u"}]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"CDHGcdhg0", "-", "CCC"}], ")"}]}], "+", "CCC"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"step", "\[GreaterEqual]", "4"}], ",", "CDHGcdhg1"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"vecsCDHGcdhg", ":=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"proj", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"Transpose", "[", "CDHGcdhg", "]"}], ")"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "8"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"polyCDHGcdhg", ":=", 
     RowBox[{"polyhedron", "[", "vecsCDHGcdhg", "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", "show", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
        RowBox[{"Lighter", "[", "Blue", "]"}], ",", "polyABCDEFGH", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"Opacity", "[", "0.2", "]"}], ","}], "*)"}], " ", "Yellow", 
        ",", "polyABFEabfe", ",", "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "0.8", "]"}], ",", "LightGreen", ",", 
        "polyAEHDaehd", ",", "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "0.7", "]"}], ",", "LightOrange", ",", 
        "polyabcdefgh", ",", "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "0.8", "]"}], ",", "Magenta", ",", 
        "polyEFGHefgh", ",", "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "0.8", "]"}], ",", "LightRed", ",", 
        "polyABCDabcd", ",", "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "0.9", "]"}], ",", "LightBlue", ",", 
        "polyBCGFbcgf", ",", "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Green", ",", 
        "polyCDHGcdhg"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", "5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", "zrange"}], "}"}]}], 
      ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", "controllers", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{
      RowBox[{"7", "/", "2"}], "  ", "Pi"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mode", ",", "3", ",", "\"\<projection style\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "->", "\"\<(x,y,z,u)\[Rule](x,y,z)\>\""}], ",", 
       RowBox[{"2", "->", "\"\<(x,y,z,u)\[Rule](x,y,u)\>\""}], ",", 
       RowBox[{
       "3", "->", 
        "\"\<(x,y,z,u)\[Rule](\!\(\*FractionBox[\(x\), \
\(u\)]\),\!\(\*FractionBox[\(y\), \(u\)]\),\!\(\*FractionBox[\(z\), \(u\)]\))\
\>\""}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}]}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "*)"}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.533783192992671*^9, 3.5337832265082955`*^9}, {
   3.5337832780707955`*^9, 3.533783335055171*^9}, {3.533783456430171*^9, 
   3.5337835072582955`*^9}, {3.533783613492671*^9, 3.5337836463520455`*^9}, {
   3.5337837750395455`*^9, 3.533783799805171*^9}, {3.533800237242671*^9, 
   3.5338002547582955`*^9}, {3.533801464898921*^9, 3.5338014740082955`*^9}, {
   3.533801699398921*^9, 3.5338017071645455`*^9}, {3.5338017446332955`*^9, 
   3.533801744930171*^9}, {3.533801872992671*^9, 3.5338018815707955`*^9}, {
   3.533801967680171*^9, 3.533801969023921*^9}, {3.533802046617671*^9, 
   3.533802115805171*^9}, {3.533802464586421*^9, 3.5338024819457955`*^9}, {
   3.533802695898921*^9, 3.533802705586421*^9}, {3.5338027369145455`*^9, 
   3.533802784023921*^9}, {3.5338028193520455`*^9, 3.533802897617671*^9}, {
   3.533803378898921*^9, 3.5338034697270455`*^9}, {3.533803921617671*^9, 
   3.533803958555171*^9}, {3.533804227430171*^9, 3.533804247336421*^9}, {
   3.5338042837582955`*^9, 3.5338043104770455`*^9}, {3.5338043674770455`*^9, 
   3.5338043837270455`*^9}, {3.533804499711421*^9, 3.5338045063520455`*^9}, {
   3.5338045414457955`*^9, 3.5338045704145455`*^9}, {3.533804854055171*^9, 
   3.5338048850082955`*^9}, {3.533804988273921*^9, 3.533805081742671*^9}, {
   3.5338051257582955`*^9, 3.5338051338832955`*^9}, {3.533805172680171*^9, 
   3.5338052036645455`*^9}, {3.5338052545395455`*^9, 
   3.5338053375707955`*^9}, {3.5338053676332955`*^9, 3.533805453148921*^9}, {
   3.5338055485395455`*^9, 3.5338056217270455`*^9}, {3.533805672742671*^9, 
   3.5338056797582955`*^9}, {3.533805774242671*^9, 3.533805817523921*^9}, {
   3.5338058682270455`*^9, 3.533805959086421*^9}, {3.533806081773921*^9, 
   3.5338061036645455`*^9}, {3.5338061456645455`*^9, 
   3.5338061833207955`*^9}, {3.5338062311957955`*^9, 
   3.5338064838207955`*^9}, {3.5338065216957955`*^9, 
   3.5338065564770455`*^9}, {3.533806594305171*^9, 3.5338068344457955`*^9}, {
   3.533806885586421*^9, 3.533806902180171*^9}, {3.5338069325395455`*^9, 
   3.5338069883207955`*^9}, {3.533807066336421*^9, 3.5338070713832955`*^9}, {
   3.533807378242671*^9, 3.533807382555171*^9}, {3.5338074880082955`*^9, 
   3.533807499680171*^9}, {3.533807547430171*^9, 3.533807576492671*^9}, {
   3.5338078790707955`*^9, 3.533807935773921*^9}, {3.533808002492671*^9, 
   3.533808002898921*^9}, {3.533808060711421*^9, 3.5338080802895455`*^9}, {
   3.5338124884145455`*^9, 3.5338125029457955`*^9}, 3.533812670211421*^9, {
   3.5338127620395455`*^9, 3.5338127623520455`*^9}, {3.5338128133832955`*^9, 
   3.533812815242671*^9}, 3.5338129396645455`*^9, {3.5338131324145455`*^9, 
   3.533813157961421*^9}, {3.5338133492270455`*^9, 3.533813359430171*^9}, {
   3.533813498742671*^9, 3.5338134991020455`*^9}, 3.533813697367671*^9, {
   3.533813797711421*^9, 3.5338138372582955`*^9}, {3.5338138734770455`*^9, 
   3.5338139359457955`*^9}, {3.5338140235082955`*^9, 3.533814117648921*^9}, {
   3.533814237523921*^9, 3.5338142451957955`*^9}, {3.533814275961421*^9, 
   3.5338142778207955`*^9}, {3.5338143378832955`*^9, 3.533814599211421*^9}, {
   3.533814870586421*^9, 3.533814899461421*^9}, {3.5338150624457955`*^9, 
   3.5338150686332955`*^9}, {3.5338152999455*^9, 3.533815301023625*^9}, {
   3.533815506992375*^9, 3.533815523023625*^9}, {3.533816004929875*^9, 
   3.533816009336125*^9}, 3.5338166344455*^9, 3.533816694086125*^9, {
   3.533816759336125*^9, 3.5338167840705*^9}, {3.533816841429875*^9, 
   3.53381685891425*^9}, {3.533816966008*^9, 3.533817208883*^9}, {
   3.533817318023625*^9, 3.5338173858205*^9}, {3.5338174310705*^9, 
   3.53381763678925*^9}, {3.533817740679875*^9, 3.53381777497675*^9}, {
   3.53381783703925*^9, 3.53381794566425*^9}, {3.5338179899455*^9, 
   3.533818304086125*^9}, {3.533818347883*^9, 3.533818362836125*^9}, {
   3.533818438742375*^9, 3.53381845241425*^9}, 3.533818551023625*^9, {
   3.533818833492375*^9, 3.5338188470705*^9}, {3.533819124742375*^9, 
   3.533819136086125*^9}, {3.53381929797675*^9, 3.53381958847675*^9}, {
   3.533819637398625*^9, 3.5338196454455*^9}, {3.533819683679875*^9, 
   3.5338196926955*^9}, {3.5338200360705*^9, 3.533820039758*^9}, 
   3.53382007978925*^9, {3.53382011203925*^9, 3.533820117023625*^9}, {
   3.533820204961125*^9, 3.53382023585175*^9}, {3.53382031478925*^9, 
   3.533820394117375*^9}, {3.5338204479455*^9, 3.5338204631955*^9}, {
   3.5338204945705*^9, 3.533820706804875*^9}, {3.533820758461125*^9, 
   3.53382076353925*^9}, {3.533820830742375*^9, 3.533820831617375*^9}, {
   3.533820944508*^9, 3.5338209515705*^9}, {3.53382098710175*^9, 
   3.533821026008*^9}, {3.533821073586125*^9, 3.533821100242375*^9}, {
   3.53382114610175*^9, 3.533821340679875*^9}, {3.533821405461125*^9, 
   3.53382143360175*^9}, {3.533821565367375*^9, 3.533821654258*^9}, {
   3.53440405215625*^9, 3.53440410175*^9}, {3.53440417571875*^9, 
   3.5344042426875*^9}, {3.534404342640625*^9, 3.53440434384375*^9}, {
   3.5344056268125*^9, 3.534405801484375*^9}, {3.534405888234375*^9, 
   3.534405950421875*^9}, {3.53440598984375*^9, 3.534406105484375*^9}, {
   3.534406145515625*^9, 3.53440615790625*^9}, {3.534406189359375*^9, 
   3.5344061914375*^9}, {3.534406222*^9, 3.534406226828125*^9}, {
   3.53440626346875*^9, 3.5344063069375*^9}, {3.534406356796875*^9, 
   3.534406476796875*^9}, {3.534406543421875*^9, 3.534406587875*^9}, {
   3.534406662046875*^9, 3.534406687890625*^9}, {3.53440718103125*^9, 
   3.53440718659375*^9}, {3.53440725659375*^9, 3.534407405515625*^9}, {
   3.534409150109375*^9, 3.534409164578125*^9}, {3.53440919515625*^9, 
   3.53440947765625*^9}, {3.534409508515625*^9, 3.534409583625*^9}, {
   3.534409617390625*^9, 3.534409652625*^9}, {3.53441003809375*^9, 
   3.5344103386875*^9}, {3.534410371890625*^9, 3.53441037253125*^9}, {
   3.5344104195*^9, 3.534410487890625*^9}, {3.534410537171875*^9, 
   3.53441056121875*^9}, {3.534410591296875*^9, 3.534410640828125*^9}, {
   3.534410717359375*^9, 3.534410766203125*^9}, {3.53441130853125*^9, 
   3.534411316875*^9}, {3.534411371421875*^9, 3.534411392328125*^9}, {
   3.534411441078125*^9, 3.534411468890625*^9}, {3.534411611390625*^9, 
   3.53441163665625*^9}, {3.53441167265625*^9, 3.53441171240625*^9}, {
   3.5344117504375*^9, 3.5344117508125*^9}, {3.534412007203125*^9, 
   3.534412011875*^9}, 3.5344120783125*^9, {3.5344121296875*^9, 
   3.534412159828125*^9}, {3.534412196859375*^9, 3.53441219959375*^9}, {
   3.534412277296875*^9, 3.5344122831875*^9}, {3.5344123658125*^9, 
   3.534412404109375*^9}, {3.534412442546875*^9, 3.534412442875*^9}, {
   3.5344125335*^9, 3.53441253659375*^9}, {3.534412628734375*^9, 
   3.534412706046875*^9}, {3.53441276040625*^9, 3.534412805703125*^9}, {
   3.534412879921875*^9, 3.5344129183125*^9}, {3.534413035171875*^9, 
   3.53441308796875*^9}, {3.53441312790625*^9, 3.534413173078125*^9}, {
   3.534413316125*^9, 3.534413318109375*^9}, {3.534413770890625*^9, 
   3.53441381290625*^9}, {3.534414113421875*^9, 3.53441411559375*^9}, {
   3.5344141548125*^9, 3.534414158453125*^9}, {3.5344144315*^9, 
   3.5344146515*^9}, {3.534414742796875*^9, 3.53441475034375*^9}, {
   3.53441480528125*^9, 3.53441481165625*^9}, {3.534414848296875*^9, 
   3.534414851984375*^9}, {3.534414947015625*^9, 3.534414986046875*^9}, {
   3.534415160453125*^9, 3.5344152058125*^9}, {3.534415238546875*^9, 
   3.53441536778125*^9}, {3.534415406203125*^9, 3.534415406578125*^9}, {
   3.53441547728125*^9, 3.534415536046875*^9}, {3.534415612265625*^9, 
   3.5344156175625*^9}, {3.53441572865625*^9, 3.534415768765625*^9}, {
   3.53441591303125*^9, 3.534415937984375*^9}, {3.534415980109375*^9, 
   3.53441600275*^9}, {3.5344160649375*^9, 3.5344162433125*^9}, {
   3.53441627728125*^9, 3.534416301375*^9}, {3.534416359140625*^9, 
   3.5344163608125*^9}, {3.534416392546875*^9, 3.534416405671875*^9}, {
   3.534416530625*^9, 3.534416553296875*^9}, {3.53441659353125*^9, 
   3.53441659515625*^9}, {3.5344166474375*^9, 3.53441667275*^9}, {
   3.5344167085625*^9, 3.5344167879375*^9}, {3.5344168376875*^9, 
   3.534416842078125*^9}, {3.534416882421875*^9, 3.534416883125*^9}, {
   3.53441695659375*^9, 3.53441696515625*^9}, {3.53441700303125*^9, 
   3.534417003953125*^9}, {3.534417123421875*^9, 3.534417231*^9}, {
   3.534417266953125*^9, 3.534417316390625*^9}, {3.53441736371875*^9, 
   3.53441737740625*^9}, {3.53441741978125*^9, 3.534417449515625*^9}, 
   3.534418450359375*^9, {3.534418639453125*^9, 3.534418692796875*^9}, {
   3.53441873603125*^9, 3.534418740953125*^9}, {3.5344190215*^9, 
   3.53441902740625*^9}, {3.534419440375*^9, 3.534419442578125*^9}, {
   3.534419928125*^9, 3.53441992984375*^9}, {3.534422274734375*^9, 
   3.53442227984375*^9}, {3.534422483171875*^9, 3.53442248878125*^9}, {
   3.534422530109375*^9, 3.534422535046875*^9}, {3.534422635140625*^9, 
   3.534422865265625*^9}, {3.534422949671875*^9, 3.534423142328125*^9}, {
   3.53442318703125*^9, 3.53442322896875*^9}, {3.5344612498343153`*^9, 
   3.5344612639593153`*^9}, {3.5344613193343153`*^9, 
   3.5344613440999403`*^9}, {3.5344613814124403`*^9, 
   3.5344614370686903`*^9}, {3.5344619003186903`*^9, 
   3.5344619914905653`*^9}, {3.5344620340843153`*^9, 
   3.5344620686780653`*^9}, {3.534499021171875*^9, 3.534499046984375*^9}, {
   3.53451232359375*^9, 3.534512328515625*^9}, {3.53471562396875*^9, 
   3.5347156285625*^9}, {3.534716141828125*^9, 3.534716189625*^9}, {
   3.5347162315*^9, 3.534716255234375*^9}, {3.5347164525*^9, 
   3.534716574875*^9}, {3.53471660759375*^9, 3.534716685859375*^9}, {
   3.5347167301875*^9, 3.534716743734375*^9}, {3.53471678934375*^9, 
   3.53471678959375*^9}, {3.534716835765625*^9, 3.534716837140625*^9}, {
   3.534716885890625*^9, 3.53471697503125*^9}, 3.5347171705*^9, {
   3.534717202171875*^9, 3.53471721103125*^9}, {3.534717252046875*^9, 
   3.534717361796875*^9}, {3.534717405484375*^9, 3.534717414578125*^9}, {
   3.534717458734375*^9, 3.53471745925*^9}, {3.5347174905*^9, 
   3.534717495515625*^9}, {3.534717560421875*^9, 3.534717600421875*^9}, {
   3.5347176481875*^9, 3.53471764934375*^9}, {3.53471773259375*^9, 
   3.534717733015625*^9}, {3.5347178575*^9, 3.5347178624375*^9}, {
   3.534717896609375*^9, 3.534717944*^9}, {3.53471798115625*^9, 
   3.534717995046875*^9}, {3.534718773*^9, 3.53471888340625*^9}, {
   3.53471891840625*^9, 3.534718950625*^9}, {3.53471900603125*^9, 
   3.53471901059375*^9}, {3.534719049875*^9, 3.534719072109375*^9}, {
   3.534719115859375*^9, 3.534719134125*^9}, 3.5347191765625*^9, {
   3.534719226234375*^9, 3.534719240578125*^9}, {3.534719330203125*^9, 
   3.5347193409375*^9}, {3.534719409984375*^9, 3.5347194485*^9}, {
   3.53471984146875*^9, 3.5347198963125*^9}, {3.534720004546875*^9, 
   3.53472002959375*^9}, {3.534805847359375*^9, 3.53480585878125*^9}, {
   3.53480593709375*^9, 3.534805943234375*^9}, {3.534805992015625*^9, 
   3.534806001984375*^9}, {3.53480608915625*^9, 3.534806106046875*^9}, {
   3.534806150703125*^9, 3.534806164390625*^9}, {3.534806218578125*^9, 
   3.534806372875*^9}, {3.53480649478125*^9, 3.534806501296875*^9}, {
   3.534806532953125*^9, 3.53480653871875*^9}, {3.5348065793125*^9, 
   3.534806580265625*^9}, {3.5348066166875*^9, 3.534806646828125*^9}, {
   3.534806680625*^9, 3.5348067058125*^9}, {3.5348067453125*^9, 
   3.534806745890625*^9}, {3.5348068558125*^9, 3.534806874265625*^9}, {
   3.53480692659375*^9, 3.534806927609375*^9}, {3.53484880815625*^9, 
   3.534848882390625*^9}, {3.534848942078125*^9, 3.5348489439375*^9}, {
   3.53484899553125*^9, 3.534849037765625*^9}, {3.53484912034375*^9, 
   3.534849121140625*^9}, {3.53484918140625*^9, 3.534849182078125*^9}, {
   3.53484921653125*^9, 3.5348492355625*^9}, {3.53497386615625*^9, 
   3.534973869453125*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`mode$$ = 3, $CellContext`t$$ = 0., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`t$$], 0, Rational[7, 2] Pi}, {{
       Hold[$CellContext`mode$$], 3, "projection style"}, {
      1 -> "(x,y,z,u)\[Rule](x,y,z)", 2 -> "(x,y,z,u)\[Rule](x,y,u)", 3 -> 
       "(x,y,z,u)\[Rule](\!\(\*FractionBox[\(x\), \(u\)]\),\!\(\*FractionBox[\
\(y\), \(u\)]\),\!\(\*FractionBox[\(z\), \(u\)]\))"}}}, Typeset`size$$ = {
    540., {257., 266.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`t$1042$$ = 
    0, $CellContext`mode$1043$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`mode$$ = 3, $CellContext`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$1042$$, 0], 
        Hold[$CellContext`mode$$, $CellContext`mode$1043$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`OA = {1, -1, 1, 1}; $CellContext`OB = {1, 1, 1, 
         1}; $CellContext`OC = {-1, 1, 1, 1}; $CellContext`OD = {-1, -1, 1, 
         1}; $CellContext`OE = {1, -1, -1, 1}; $CellContext`OF = {1, 1, -1, 
         1}; $CellContext`OG = {-1, 1, -1, 1}; $CellContext`OH = {-1, -1, -1, 
         1}; $CellContext`Oa = {1, -1, 1, 3}; $CellContext`Ob = {1, 1, 1, 
         3}; $CellContext`Oc = {-1, 1, 1, 3}; $CellContext`Od = {-1, -1, 1, 
         3}; $CellContext`Oe = {1, -1, -1, 3}; $CellContext`Of = {1, 1, -1, 
         3}; $CellContext`Og = {-1, 1, -1, 3}; $CellContext`Oh = {-1, -1, -1, 
         3}; $CellContext`OJ = {3, -1, -3, 1}; $CellContext`EEE = Transpose[
          Table[$CellContext`OE, {8}]]; $CellContext`CCC = Transpose[
          Table[$CellContext`OC, {8}]]; $CellContext`JJJ = Transpose[
          Table[$CellContext`OJ, {8}]]; $CellContext`step := 
        Floor[$CellContext`t$$/(Pi/2)] + 
         1; $CellContext`u := $CellContext`t$$ - ($CellContext`step - 1) (Pi/
          2); $CellContext`Rxy := {{1, 0, 0, 0}, {0, 1, 0, 0}, {0, 0, 
           Cos[$CellContext`s], -Sin[$CellContext`s]}, {0, 0, 
           Sin[$CellContext`s], 
           Cos[$CellContext`s]}}; $CellContext`Ryz := {{
           Cos[$CellContext`s], 0, 0, -Sin[$CellContext`s]}, {0, 1, 0, 0}, {0,
           0, 1, 0}, {
           Sin[$CellContext`s], 0, 0, 
           Cos[$CellContext`s]}}; $CellContext`Rzx := {{1, 0, 0, 0}, {0, 
           Cos[$CellContext`s], 0, -Sin[$CellContext`s]}, {0, 0, 1, 0}, {0, 
           Sin[$CellContext`s], 0, 
           Cos[$CellContext`s]}}; $CellContext`polyhedron[
          Pattern[$CellContext`vecs, 
           Blank[]]] := {
          Table[
           Polygon[{
             Part[$CellContext`vecs, 1 + 4 $CellContext`k], 
             Part[$CellContext`vecs, 2 + 4 $CellContext`k], 
             Part[$CellContext`vecs, 3 + 4 $CellContext`k], 
             Part[$CellContext`vecs, 4 + 4 $CellContext`k]}], {$CellContext`k,
             0, 1}], 
          Table[
           Polygon[{
             Part[$CellContext`vecs, 1 + $CellContext`k], 
             Part[$CellContext`vecs, 2 + $CellContext`k], 
             Part[$CellContext`vecs, 6 + $CellContext`k], 
             Part[$CellContext`vecs, 5 + $CellContext`k]}], {$CellContext`k, 
            0, 2}], 
          Polygon[{
            Part[$CellContext`vecs, 4], 
            Part[$CellContext`vecs, 1], 
            Part[$CellContext`vecs, 5], 
            Part[$CellContext`vecs, 8]}]}; $CellContext`proj[
          Pattern[$CellContext`x$, 
           Blank[]]] := Switch[$CellContext`mode$$, 1, 
          Part[$CellContext`x$, {1, 2, 3}], 2, 
          Part[$CellContext`x$, {1, 2, 4}], 3, (1/Part[$CellContext`x$, 4]) 
          Part[$CellContext`x$, {1, 2, 3}]]; $CellContext`zrange := 
        If[$CellContext`mode$$ == 2, {1, 1. + 2 Sqrt[2]}, {-3, 
          3}]; $CellContext`ABCDEFGH := 
        Transpose[{$CellContext`OA, $CellContext`OB, $CellContext`OC, \
$CellContext`OD, $CellContext`OE, $CellContext`OF, $CellContext`OG, \
$CellContext`OH}]; $CellContext`vecsABCDEFGH := Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`ABCDEFGH], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyABCDEFGH := \
$CellContext`polyhedron[$CellContext`vecsABCDEFGH]; $CellContext`ABFEabfe0 = 
        Transpose[{$CellContext`OA, $CellContext`OB, $CellContext`OF, \
$CellContext`OE, $CellContext`Oa, $CellContext`Ob, $CellContext`Of, \
$CellContext`Oe}]; $CellContext`ABFEabfe1 = Dot[
           
           ReplaceAll[$CellContext`Ryz, $CellContext`s -> 
            N[(-Pi)/2]], $CellContext`ABFEabfe0 - $CellContext`EEE] + \
$CellContext`EEE; $CellContext`ABFEabfe := Which[$CellContext`step == 1, Dot[
            
            ReplaceAll[$CellContext`Ryz, $CellContext`s -> -$CellContext`u], \
$CellContext`ABFEabfe0 - $CellContext`EEE] + $CellContext`EEE, \
$CellContext`step >= 2, $CellContext`ABFEabfe1]; $CellContext`vecsABFEabfe := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`ABFEabfe], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyABFEabfe := \
$CellContext`polyhedron[$CellContext`vecsABFEabfe]; $CellContext`AEHDaehd0 = 
        Transpose[{$CellContext`OA, $CellContext`OE, $CellContext`OH, \
$CellContext`OD, $CellContext`Oa, $CellContext`Oe, $CellContext`Oh, \
$CellContext`Od}]; $CellContext`AEHDaehd1 = Dot[
           
           ReplaceAll[$CellContext`Rzx, $CellContext`s -> 
            N[Pi/2]], $CellContext`AEHDaehd0 - $CellContext`EEE] + \
$CellContext`EEE; $CellContext`AEHDaehd := 
        Which[$CellContext`step <= 
          5, $CellContext`AEHDaehd0, $CellContext`step == 6, Dot[
            
            ReplaceAll[$CellContext`Rzx, $CellContext`s -> $CellContext`u], \
$CellContext`AEHDaehd0 - $CellContext`EEE] + $CellContext`EEE, \
$CellContext`step >= 7, $CellContext`AEHDaehd1]; $CellContext`vecsAEHDaehd := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`AEHDaehd], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyAEHDaehd := \
$CellContext`polyhedron[$CellContext`vecsAEHDaehd]; $CellContext`abcdefgh0 = 
        Transpose[{$CellContext`Oa, $CellContext`Ob, $CellContext`Oc, \
$CellContext`Od, $CellContext`Oe, $CellContext`Of, $CellContext`Og, \
$CellContext`Oh}]; $CellContext`abcdefgh1 = Dot[
           
           ReplaceAll[$CellContext`Ryz, $CellContext`s -> 
            N[(-Pi)/2]], $CellContext`abcdefgh0 - $CellContext`EEE] + \
$CellContext`EEE; $CellContext`abcdefgh2 = Dot[
           
           ReplaceAll[$CellContext`Ryz, $CellContext`s -> (-Pi)/
             2], $CellContext`abcdefgh1 - $CellContext`JJJ] + \
$CellContext`JJJ; $CellContext`abcdefgh := Which[$CellContext`step == 1, Dot[
            
            ReplaceAll[$CellContext`Ryz, $CellContext`s -> -$CellContext`u], \
$CellContext`abcdefgh0 - $CellContext`EEE] + $CellContext`EEE, \
$CellContext`step == 2, Dot[
            
            ReplaceAll[$CellContext`Ryz, $CellContext`s -> -$CellContext`u], \
$CellContext`abcdefgh1 - $CellContext`JJJ] + $CellContext`JJJ, \
$CellContext`step >= 3, $CellContext`abcdefgh2]; $CellContext`vecsabcdefgh := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`abcdefgh], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyabcdefgh := \
$CellContext`polyhedron[$CellContext`vecsabcdefgh]; $CellContext`EFGHefgh0 = 
        Transpose[{$CellContext`OE, $CellContext`OF, $CellContext`OG, \
$CellContext`OH, $CellContext`Oe, $CellContext`Of, $CellContext`Og, \
$CellContext`Oh}]; $CellContext`EFGHefgh1 = Dot[
           
           ReplaceAll[$CellContext`Rxy, $CellContext`s -> 
            N[Pi/2]], $CellContext`EFGHefgh0 - $CellContext`EEE] + \
$CellContext`EEE; $CellContext`EFGHefgh := 
        Which[$CellContext`step <= 
          6, $CellContext`EFGHefgh0, $CellContext`step == 7, Dot[
            
            ReplaceAll[$CellContext`Rxy, $CellContext`s -> $CellContext`u], \
$CellContext`EFGHefgh0 - $CellContext`EEE] + $CellContext`EEE, \
$CellContext`step >= 8, $CellContext`EFGHefgh1]; $CellContext`vecsEFGHefgh := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`EFGHefgh], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyEFGHefgh := \
$CellContext`polyhedron[$CellContext`vecsEFGHefgh]; $CellContext`ABCDabcd0 = 
        Transpose[{$CellContext`OA, $CellContext`OB, $CellContext`OC, \
$CellContext`OD, $CellContext`Oa, $CellContext`Ob, $CellContext`Oc, \
$CellContext`Od}]; $CellContext`ABCDabcd1 = Dot[
           
           ReplaceAll[$CellContext`Rxy, $CellContext`s -> -
             N[Pi/2]], $CellContext`ABCDabcd0 - $CellContext`CCC] + \
$CellContext`CCC; $CellContext`ABCDabcd := 
        Which[$CellContext`step <= 
          4, $CellContext`ABCDabcd0, $CellContext`step == 5, Dot[
            
            ReplaceAll[$CellContext`Rxy, $CellContext`s -> -$CellContext`u], \
$CellContext`ABCDabcd0 - $CellContext`CCC] + $CellContext`CCC, \
$CellContext`step >= 6, $CellContext`ABCDabcd1]; $CellContext`vecsABCDabcd := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`ABCDabcd], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyABCDabcd := \
$CellContext`polyhedron[$CellContext`vecsABCDabcd]; $CellContext`BCGFbcgf0 = 
        Transpose[{$CellContext`OB, $CellContext`OC, $CellContext`OG, \
$CellContext`OF, $CellContext`Ob, $CellContext`Oc, $CellContext`Og, \
$CellContext`Of}]; $CellContext`BCGFbcgf1 = Dot[
           
           ReplaceAll[$CellContext`Ryz, $CellContext`s -> 
            N[Pi/
              2]], $CellContext`BCGFbcgf0 - $CellContext`CCC] + \
$CellContext`CCC; $CellContext`BCGFbcgf2 = Dot[
           
           ReplaceAll[$CellContext`Rzx, $CellContext`s -> (-Pi)/
             2], $CellContext`BCGFbcgf1 - $CellContext`CCC] + \
$CellContext`CCC; $CellContext`BCGFbcgf := 
        Which[$CellContext`step <= 
          2, $CellContext`BCGFbcgf0, $CellContext`step == 3, Dot[
            
            ReplaceAll[$CellContext`Ryz, $CellContext`s -> $CellContext`u], \
$CellContext`BCGFbcgf0 - $CellContext`CCC] + $CellContext`CCC, \
$CellContext`step == 4, Dot[
            
            ReplaceAll[$CellContext`Rzx, $CellContext`s -> -$CellContext`u], \
$CellContext`BCGFbcgf1 - $CellContext`CCC] + $CellContext`CCC, \
$CellContext`step >= 5, $CellContext`BCGFbcgf2]; $CellContext`vecsBCGFbcgf := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`BCGFbcgf], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyBCGFbcgf := \
$CellContext`polyhedron[$CellContext`vecsBCGFbcgf]; $CellContext`CDHGcdhg0 = 
        Transpose[{$CellContext`OC, $CellContext`OD, $CellContext`OH, \
$CellContext`OG, $CellContext`Oc, $CellContext`Od, $CellContext`Oh, \
$CellContext`Og}]; $CellContext`CDHGcdhg1 = Dot[
           
           ReplaceAll[$CellContext`Ryz, $CellContext`s -> 
            N[Pi/2]], $CellContext`CDHGcdhg0 - $CellContext`CCC] + \
$CellContext`CCC; $CellContext`CDHGcdhg := 
        Which[$CellContext`step <= 
          2, $CellContext`CDHGcdhg0, $CellContext`step == 3, Dot[
            
            ReplaceAll[$CellContext`Ryz, $CellContext`s -> $CellContext`u], \
$CellContext`CDHGcdhg0 - $CellContext`CCC] + $CellContext`CCC, \
$CellContext`step >= 4, $CellContext`CDHGcdhg1]; $CellContext`vecsCDHGcdhg := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`CDHGcdhg], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyCDHGcdhg := \
$CellContext`polyhedron[$CellContext`vecsCDHGcdhg]; Graphics3D[{
          Opacity[0.2], 
          Lighter[Blue], $CellContext`polyABCDEFGH, 
          Yellow, $CellContext`polyABFEabfe, 
          Opacity[0.8], LightGreen, $CellContext`polyAEHDaehd, 
          Opacity[0.7], LightOrange, $CellContext`polyabcdefgh, 
          Opacity[0.8], Magenta, $CellContext`polyEFGHefgh, 
          Opacity[0.8], LightRed, $CellContext`polyABCDabcd, 
          Opacity[0.9], LightBlue, $CellContext`polyBCGFbcgf, 
          Opacity[0.3], Green, $CellContext`polyCDHGcdhg}, 
         PlotRange -> {{-3, 5}, {-3, 3}, $CellContext`zrange}, Boxed -> 
         False]), 
      "Specifications" :> {{$CellContext`t$$, 0, Rational[7, 2] Pi, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}, {{$CellContext`mode$$, 3, 
          "projection style"}, {
         1 -> "(x,y,z,u)\[Rule](x,y,z)", 2 -> "(x,y,z,u)\[Rule](x,y,u)", 3 -> 
          "(x,y,z,u)\[Rule](\!\(\*FractionBox[\(x\), \
\(u\)]\),\!\(\*FractionBox[\(y\), \(u\)]\),\!\(\*FractionBox[\(z\), \
\(u\)]\))"}, ControlType -> PopupMenu, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, DefaultBaseStyle -> 
        "Animate", DefaultLabelStyle -> "AnimateLabel", SynchronousUpdating -> 
        True, ShrinkingDelay -> 10.}, "DefaultOptions" :> {}],
     ImageSizeCache->{622., {339., 346.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Animate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.53484929084375*^9, 3.53497387059375*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`mode$$ = 3, $CellContext`t$$ = 0., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`t$$], 0, Rational[7, 2] Pi}, {{
       Hold[$CellContext`mode$$], 3, "projection style"}, {
      1 -> "(x,y,z,u)\[Rule](x,y,z)", 2 -> "(x,y,z,u)\[Rule](x,y,u)", 3 -> 
       "(x,y,z,u)\[Rule](\!\(\*FractionBox[\(x\), \(u\)]\),\!\(\*FractionBox[\
\(y\), \(u\)]\),\!\(\*FractionBox[\(z\), \(u\)]\))"}}}, Typeset`size$$ = {
    540., {257., 266.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`t$3035$$ = 
    0, $CellContext`mode$3036$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`mode$$ = 3, $CellContext`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$3035$$, 0], 
        Hold[$CellContext`mode$$, $CellContext`mode$3036$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`OA = {1, -1, 1, 1}; $CellContext`OB = {1, 1, 1, 
         1}; $CellContext`OC = {-1, 1, 1, 1}; $CellContext`OD = {-1, -1, 1, 
         1}; $CellContext`OE = {1, -1, -1, 1}; $CellContext`OF = {1, 1, -1, 
         1}; $CellContext`OG = {-1, 1, -1, 1}; $CellContext`OH = {-1, -1, -1, 
         1}; $CellContext`Oa = {1, -1, 1, 3}; $CellContext`Ob = {1, 1, 1, 
         3}; $CellContext`Oc = {-1, 1, 1, 3}; $CellContext`Od = {-1, -1, 1, 
         3}; $CellContext`Oe = {1, -1, -1, 3}; $CellContext`Of = {1, 1, -1, 
         3}; $CellContext`Og = {-1, 1, -1, 3}; $CellContext`Oh = {-1, -1, -1, 
         3}; $CellContext`OJ = {3, -1, -3, 1}; $CellContext`EEE = Transpose[
          Table[$CellContext`OE, {8}]]; $CellContext`CCC = Transpose[
          Table[$CellContext`OC, {8}]]; $CellContext`JJJ = Transpose[
          Table[$CellContext`OJ, {8}]]; $CellContext`step := 
        Floor[$CellContext`t$$/(Pi/2)] + 
         1; $CellContext`u := $CellContext`t$$ - ($CellContext`step - 1) (Pi/
          2); $CellContext`Rxy := {{1, 0, 0, 0}, {0, 1, 0, 0}, {0, 0, 
           Cos[$CellContext`s], -Sin[$CellContext`s]}, {0, 0, 
           Sin[$CellContext`s], 
           Cos[$CellContext`s]}}; $CellContext`Ryz := {{
           Cos[$CellContext`s], 0, 0, -Sin[$CellContext`s]}, {0, 1, 0, 0}, {0,
           0, 1, 0}, {
           Sin[$CellContext`s], 0, 0, 
           Cos[$CellContext`s]}}; $CellContext`Rzx := {{1, 0, 0, 0}, {0, 
           Cos[$CellContext`s], 0, -Sin[$CellContext`s]}, {0, 0, 1, 0}, {0, 
           Sin[$CellContext`s], 0, 
           Cos[$CellContext`s]}}; $CellContext`polyhedron[
          Pattern[$CellContext`vecs, 
           Blank[]]] := {
          Table[
           Polygon[{
             Part[$CellContext`vecs, 1 + 4 $CellContext`k], 
             Part[$CellContext`vecs, 2 + 4 $CellContext`k], 
             Part[$CellContext`vecs, 3 + 4 $CellContext`k], 
             Part[$CellContext`vecs, 4 + 4 $CellContext`k]}], {$CellContext`k,
             0, 1}], 
          Table[
           Polygon[{
             Part[$CellContext`vecs, 1 + $CellContext`k], 
             Part[$CellContext`vecs, 2 + $CellContext`k], 
             Part[$CellContext`vecs, 6 + $CellContext`k], 
             Part[$CellContext`vecs, 5 + $CellContext`k]}], {$CellContext`k, 
            0, 2}], 
          Polygon[{
            Part[$CellContext`vecs, 4], 
            Part[$CellContext`vecs, 1], 
            Part[$CellContext`vecs, 5], 
            Part[$CellContext`vecs, 8]}]}; $CellContext`proj[
          Pattern[$CellContext`x$, 
           Blank[]]] := Switch[$CellContext`mode$$, 1, 
          Part[$CellContext`x$, {1, 2, 3}], 2, 
          Part[$CellContext`x$, {1, 2, 4}], 3, (1/Part[$CellContext`x$, 4]) 
          Part[$CellContext`x$, {1, 2, 3}]]; $CellContext`zrange := 
        If[$CellContext`mode$$ == 2, {1, 1. + 2 Sqrt[2]}, {-3, 
          3}]; $CellContext`ABCDEFGH := 
        Transpose[{$CellContext`OA, $CellContext`OB, $CellContext`OC, \
$CellContext`OD, $CellContext`OE, $CellContext`OF, $CellContext`OG, \
$CellContext`OH}]; $CellContext`vecsABCDEFGH := Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`ABCDEFGH], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyABCDEFGH := \
$CellContext`polyhedron[$CellContext`vecsABCDEFGH]; $CellContext`ABFEabfe0 = 
        Transpose[{$CellContext`OA, $CellContext`OB, $CellContext`OF, \
$CellContext`OE, $CellContext`Oa, $CellContext`Ob, $CellContext`Of, \
$CellContext`Oe}]; $CellContext`ABFEabfe1 = Dot[
           
           ReplaceAll[$CellContext`Ryz, $CellContext`s -> 
            N[(-Pi)/2]], $CellContext`ABFEabfe0 - $CellContext`EEE] + \
$CellContext`EEE; $CellContext`ABFEabfe := Which[$CellContext`step == 1, Dot[
            
            ReplaceAll[$CellContext`Ryz, $CellContext`s -> -$CellContext`u], \
$CellContext`ABFEabfe0 - $CellContext`EEE] + $CellContext`EEE, \
$CellContext`step >= 2, $CellContext`ABFEabfe1]; $CellContext`vecsABFEabfe := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`ABFEabfe], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyABFEabfe := \
$CellContext`polyhedron[$CellContext`vecsABFEabfe]; $CellContext`AEHDaehd0 = 
        Transpose[{$CellContext`OA, $CellContext`OE, $CellContext`OH, \
$CellContext`OD, $CellContext`Oa, $CellContext`Oe, $CellContext`Oh, \
$CellContext`Od}]; $CellContext`AEHDaehd1 = Dot[
           
           ReplaceAll[$CellContext`Rzx, $CellContext`s -> 
            N[Pi/2]], $CellContext`AEHDaehd0 - $CellContext`EEE] + \
$CellContext`EEE; $CellContext`AEHDaehd := 
        Which[$CellContext`step <= 
          5, $CellContext`AEHDaehd0, $CellContext`step == 6, Dot[
            
            ReplaceAll[$CellContext`Rzx, $CellContext`s -> $CellContext`u], \
$CellContext`AEHDaehd0 - $CellContext`EEE] + $CellContext`EEE, \
$CellContext`step >= 7, $CellContext`AEHDaehd1]; $CellContext`vecsAEHDaehd := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`AEHDaehd], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyAEHDaehd := \
$CellContext`polyhedron[$CellContext`vecsAEHDaehd]; $CellContext`abcdefgh0 = 
        Transpose[{$CellContext`Oa, $CellContext`Ob, $CellContext`Oc, \
$CellContext`Od, $CellContext`Oe, $CellContext`Of, $CellContext`Og, \
$CellContext`Oh}]; $CellContext`abcdefgh1 = Dot[
           
           ReplaceAll[$CellContext`Ryz, $CellContext`s -> 
            N[(-Pi)/2]], $CellContext`abcdefgh0 - $CellContext`EEE] + \
$CellContext`EEE; $CellContext`abcdefgh2 = Dot[
           
           ReplaceAll[$CellContext`Ryz, $CellContext`s -> (-Pi)/
             2], $CellContext`abcdefgh1 - $CellContext`JJJ] + \
$CellContext`JJJ; $CellContext`abcdefgh := Which[$CellContext`step == 1, Dot[
            
            ReplaceAll[$CellContext`Ryz, $CellContext`s -> -$CellContext`u], \
$CellContext`abcdefgh0 - $CellContext`EEE] + $CellContext`EEE, \
$CellContext`step == 2, Dot[
            
            ReplaceAll[$CellContext`Ryz, $CellContext`s -> -$CellContext`u], \
$CellContext`abcdefgh1 - $CellContext`JJJ] + $CellContext`JJJ, \
$CellContext`step >= 3, $CellContext`abcdefgh2]; $CellContext`vecsabcdefgh := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`abcdefgh], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyabcdefgh := \
$CellContext`polyhedron[$CellContext`vecsabcdefgh]; $CellContext`EFGHefgh0 = 
        Transpose[{$CellContext`OE, $CellContext`OF, $CellContext`OG, \
$CellContext`OH, $CellContext`Oe, $CellContext`Of, $CellContext`Og, \
$CellContext`Oh}]; $CellContext`EFGHefgh1 = Dot[
           
           ReplaceAll[$CellContext`Rxy, $CellContext`s -> 
            N[Pi/2]], $CellContext`EFGHefgh0 - $CellContext`EEE] + \
$CellContext`EEE; $CellContext`EFGHefgh := 
        Which[$CellContext`step <= 
          6, $CellContext`EFGHefgh0, $CellContext`step == 7, Dot[
            
            ReplaceAll[$CellContext`Rxy, $CellContext`s -> $CellContext`u], \
$CellContext`EFGHefgh0 - $CellContext`EEE] + $CellContext`EEE, \
$CellContext`step >= 8, $CellContext`EFGHefgh1]; $CellContext`vecsEFGHefgh := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`EFGHefgh], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyEFGHefgh := \
$CellContext`polyhedron[$CellContext`vecsEFGHefgh]; $CellContext`ABCDabcd0 = 
        Transpose[{$CellContext`OA, $CellContext`OB, $CellContext`OC, \
$CellContext`OD, $CellContext`Oa, $CellContext`Ob, $CellContext`Oc, \
$CellContext`Od}]; $CellContext`ABCDabcd1 = Dot[
           
           ReplaceAll[$CellContext`Rxy, $CellContext`s -> -
             N[Pi/2]], $CellContext`ABCDabcd0 - $CellContext`CCC] + \
$CellContext`CCC; $CellContext`ABCDabcd := 
        Which[$CellContext`step <= 
          4, $CellContext`ABCDabcd0, $CellContext`step == 5, Dot[
            
            ReplaceAll[$CellContext`Rxy, $CellContext`s -> -$CellContext`u], \
$CellContext`ABCDabcd0 - $CellContext`CCC] + $CellContext`CCC, \
$CellContext`step >= 6, $CellContext`ABCDabcd1]; $CellContext`vecsABCDabcd := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`ABCDabcd], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyABCDabcd := \
$CellContext`polyhedron[$CellContext`vecsABCDabcd]; $CellContext`BCGFbcgf0 = 
        Transpose[{$CellContext`OB, $CellContext`OC, $CellContext`OG, \
$CellContext`OF, $CellContext`Ob, $CellContext`Oc, $CellContext`Og, \
$CellContext`Of}]; $CellContext`BCGFbcgf1 = Dot[
           
           ReplaceAll[$CellContext`Ryz, $CellContext`s -> 
            N[Pi/
              2]], $CellContext`BCGFbcgf0 - $CellContext`CCC] + \
$CellContext`CCC; $CellContext`BCGFbcgf2 = Dot[
           
           ReplaceAll[$CellContext`Rzx, $CellContext`s -> (-Pi)/
             2], $CellContext`BCGFbcgf1 - $CellContext`CCC] + \
$CellContext`CCC; $CellContext`BCGFbcgf := 
        Which[$CellContext`step <= 
          2, $CellContext`BCGFbcgf0, $CellContext`step == 3, Dot[
            
            ReplaceAll[$CellContext`Ryz, $CellContext`s -> $CellContext`u], \
$CellContext`BCGFbcgf0 - $CellContext`CCC] + $CellContext`CCC, \
$CellContext`step == 4, Dot[
            
            ReplaceAll[$CellContext`Rzx, $CellContext`s -> -$CellContext`u], \
$CellContext`BCGFbcgf1 - $CellContext`CCC] + $CellContext`CCC, \
$CellContext`step >= 5, $CellContext`BCGFbcgf2]; $CellContext`vecsBCGFbcgf := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`BCGFbcgf], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyBCGFbcgf := \
$CellContext`polyhedron[$CellContext`vecsBCGFbcgf]; $CellContext`CDHGcdhg0 = 
        Transpose[{$CellContext`OC, $CellContext`OD, $CellContext`OH, \
$CellContext`OG, $CellContext`Oc, $CellContext`Od, $CellContext`Oh, \
$CellContext`Og}]; $CellContext`CDHGcdhg1 = Dot[
           
           ReplaceAll[$CellContext`Ryz, $CellContext`s -> 
            N[Pi/2]], $CellContext`CDHGcdhg0 - $CellContext`CCC] + \
$CellContext`CCC; $CellContext`CDHGcdhg := 
        Which[$CellContext`step <= 
          2, $CellContext`CDHGcdhg0, $CellContext`step == 3, Dot[
            
            ReplaceAll[$CellContext`Ryz, $CellContext`s -> $CellContext`u], \
$CellContext`CDHGcdhg0 - $CellContext`CCC] + $CellContext`CCC, \
$CellContext`step >= 4, $CellContext`CDHGcdhg1]; $CellContext`vecsCDHGcdhg := 
        Table[
          $CellContext`proj[
           Part[
            
            Transpose[$CellContext`CDHGcdhg], $CellContext`k]], \
{$CellContext`k, 1, 
           8}]; $CellContext`polyCDHGcdhg := \
$CellContext`polyhedron[$CellContext`vecsCDHGcdhg]; Graphics3D[{
          Opacity[0.2], 
          Lighter[Blue], $CellContext`polyABCDEFGH, 
          Yellow, $CellContext`polyABFEabfe, 
          Opacity[0.8], LightGreen, $CellContext`polyAEHDaehd, 
          Opacity[0.7], LightOrange, $CellContext`polyabcdefgh, 
          Opacity[0.8], Magenta, $CellContext`polyEFGHefgh, 
          Opacity[0.8], LightRed, $CellContext`polyABCDabcd, 
          Opacity[0.9], LightBlue, $CellContext`polyBCGFbcgf, 
          Opacity[0.3], Green, $CellContext`polyCDHGcdhg}, 
         PlotRange -> {{-3, 5}, {-3, 3}, $CellContext`zrange}, Boxed -> 
         False]), 
      "Specifications" :> {{$CellContext`t$$, 0, Rational[7, 2] 
         Pi}, {{$CellContext`mode$$, 3, "projection style"}, {
         1 -> "(x,y,z,u)\[Rule](x,y,z)", 2 -> "(x,y,z,u)\[Rule](x,y,u)", 3 -> 
          "(x,y,z,u)\[Rule](\!\(\*FractionBox[\(x\), \
\(u\)]\),\!\(\*FractionBox[\(y\), \(u\)]\),\!\(\*FractionBox[\(z\), \
\(u\)]\))"}, ControlType -> PopupMenu}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{606., {349., 356.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input",
 CellChangeTimes->{3.534849262640625*^9}]
},
WindowSize->{1272, 905},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (March 21, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 39645, 914, 3934, "Input"],
Cell[40227, 938, 14304, 286, 709, "Output"]
}, Open  ]],
Cell[54546, 1227, 13816, 277, 729, "Input"]
}
]
*)

(* End of internal cache information *)
